Package com.collibra.dgc.core.api.dto.workflow

# Class CompleteWorkflowTasksRequest

Object
CompleteWorkflowTasksRequest

All Implemented Interfaces:
  `Serializable`

public class CompleteWorkflowTasksRequest extends Object implements Serializable
The properties of the workflow tasks to be completed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `CompleteWorkflowTasksRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompleteWorkflowTasksRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CompleteWorkflowTasksRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Map<String,String>`
  `getFormProperties()`
  Deprecated.
  This field will be removed.
  `UUID`
  `getGuestUserId()`
  Deprecated.
  This field will be removed without a replacement.
  `Map<String,?>`
  `getTaskFormProperties()`
  The form properties for the workflow tasks to be completed.
  `List<UUID>`
  `getTaskIds()`
  Required. The list of IDs for the tasks that should be completed.
  `int`
  `hashCode()`
  `void`
  `setFormProperties(Map<String,String> formProperties)`
  Deprecated.
  This field will be removed.
  `void`
  `setGuestUserId(UUID guestUserId)`
  Deprecated.
  This field will be removed without a replacement.
  `void`
  `setTaskFormProperties(Map<String,?> taskFormProperties)`
  The form properties for the workflow tasks to be completed.
  `void`
  `setTaskIds(List<UUID> taskIds)`
  Required. The list of IDs for the tasks that should be completed.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompleteWorkflowTasksRequest

    public CompleteWorkflowTasksRequest()

- ## Method Details

  - ### builder

    public static CompleteWorkflowTasksRequest.Builder builder()

  - ### getTaskIds

    public List<UUID> getTaskIds()
    Required. The list of IDs for the tasks that should be completed.

  - ### getFormProperties

    @Deprecated public Map<String,String> getFormProperties()
    Deprecated.
    This field will be removed. Please, use `taskFormProperties`
    The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using regular forms. This field's value will be ignored if the taskFormProperties field is populated.

  - ### getTaskFormProperties

    public Map<String,?> getTaskFormProperties()
    The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using either regular forms or external json form definitions.

  - ### getGuestUserId

    @Deprecated public UUID getGuestUserId()
    Deprecated.
    This field will be removed without a replacement.
    The ID of the guest user.

  - ### setTaskIds

    public void setTaskIds(List<UUID> taskIds)
    Required. The list of IDs for the tasks that should be completed.

  - ### setFormProperties

    @Deprecated public void setFormProperties(Map<String,String> formProperties)
    Deprecated.
    This field will be removed. Please, use `taskFormProperties`
    The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using regular forms. This field's value will be ignored if the taskFormProperties field is populated.

  - ### setTaskFormProperties

    public void setTaskFormProperties(Map<String,?> taskFormProperties)
    The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using either regular forms or external json form definitions.

  - ### setGuestUserId

    @Deprecated public void setGuestUserId(UUID guestUserId)
    Deprecated.
    This field will be removed without a replacement.
    The ID of the guest user.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`